import 'package:mapbox_flutter_search_sdk/utils/helpers/pair.dart';

class ReverseGeocodingModel {
  Pair<double, double> coordinates;
  String placeName;

  ReverseGeocodingModel() {
    coordinates = Pair<double, double>(first: 0.0, second: 0.0);
    placeName = '';
  }

  ReverseGeocodingModel.fromJson(Map<String, dynamic> json) {
    coordinates = Pair<double, double>(
      first: json['query'][0],
      second: json['query'][1],
    );
    placeName = json['features'][0]['place_name'];
  }
}
