import 'package:mapbox_flutter_search_sdk/api/models/forward_geocoding.model.dart';
import 'package:mapbox_flutter_search_sdk/api/models/reverse_geocoding.model.dart';

abstract class IApiRepository {
  Future<ReverseGeocodingModel> performReverseGeocoding(
    double latitude,
    double longitude,
    String mapboxApiKey,
  );

  Future<ForwardGeocodingModel> performForwardGeocoding(
    String query,
    String mapboxApiKey,
  );
}
