abstract class MapboxSearchEvent {
  const MapboxSearchEvent();
}

class RequestForwardGeocoding extends MapboxSearchEvent {
  final String query;
  final String mapboxApiKey;

  const RequestForwardGeocoding(
    this.query,
    this.mapboxApiKey,
  );
}

class RequestReverseGeocoding extends MapboxSearchEvent {
  final double latitude;
  final double longitude;
  final String mapboxApiKey;

  const RequestReverseGeocoding(
    this.latitude,
    this.longitude,
    this.mapboxApiKey,
  );
}
